Package com.avaya.clientservices.user

## Enum ServiceStatus.DisabledReason

- java.lang.Object
- - java.lang.Enum<ServiceStatus.DisabledReason>
  - - com.avaya.clientservices.user.ServiceStatus.DisabledReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ServiceStatus.DisabledReason>`
  Enclosing class:
    ServiceStatus

      public static enum ServiceStatus.DisabledReason
      extends java.lang.Enum<ServiceStatus.DisabledReason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INTERNAL_ERROR` |
    `INVALID_STATE` |
    `NONE` |
    `NOT_CONFIGURED` |
    `NOT_LICENSED` |
    `NOT_SUPPORTED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServiceStatus.DisabledReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ServiceStatus.DisabledReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ServiceStatus.DisabledReason NONE

    - #### INVALID_STATE

          public static final ServiceStatus.DisabledReason INVALID_STATE

    - #### NOT_CONFIGURED

          public static final ServiceStatus.DisabledReason NOT_CONFIGURED

    - #### NOT_SUPPORTED

          public static final ServiceStatus.DisabledReason NOT_SUPPORTED

    - #### NOT_LICENSED

          public static final ServiceStatus.DisabledReason NOT_LICENSED

    - #### INTERNAL_ERROR

          public static final ServiceStatus.DisabledReason INTERNAL_ERROR

  - ### Method Detail

    - #### values

          public static ServiceStatus.DisabledReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceStatus.DisabledReason c : ServiceStatus.DisabledReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceStatus.DisabledReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null